# Get affiliate tier of the affiliate payout

| HTTP method | Endpoint                                                            |
| ----------- | ------------------------------------------------------------------- |
| **GET**     | **/v1/affiliate\_payouts/{affiliate\_payout\_id}/affiliate\_tiers** |

## Path parameters <a href="#path-parameters-1" id="path-parameters-1"></a>

| Parameter             | Description                             |
| --------------------- | --------------------------------------- |
| affiliate\_payout\_id | The unique id for the affiliate payout. |

## Response body parameters <a href="#response-body-parameters-2" id="response-body-parameters-2"></a>

|                   | Field                | Type    | Description                                            |
| ----------------- | -------------------- | ------- | ------------------------------------------------------ |
| affiliate\_payout |                      |         |                                                        |
|                   | id                   | integer | Affiliate payout id.                                   |
|                   | offer\_id            | integer | Offer id.                                              |
|                   | affiliate\_id        | integer | Affiliaite id                                          |
|                   | event\_id            | integer | Event id.                                              |
|                   | current\_payout      | string  | Current payout.                                        |
|                   | percent\_payout      | string  | Percent payout.                                        |
|                   | create\_time         | string  | Create time.                                           |
| affiliate\_tier   |                      |         |                                                        |
|                   | offer\_id            | integer | Offer id.                                              |
|                   | affiliate\_id        | integer | Affiliate id.                                          |
|                   | user\_id             | integer | User id.                                               |
|                   | time\_interval\_type | integer | Time interval type. 1: Daily ; 2: Weekly ;  3: Monthly |
|                   | effective\_time      | integer | Effective time.                                        |
|                   | expiration\_time     | integer | Expiration time.                                       |
|                   | create\_time         | integer | Create time.                                           |
|                   | tier\_item           |         |                                                        |
|                   | volume\_caps         | integer | Volume Based Tiers Volume Caps.                        |
|                   | payout               | string  | Volume Based Tiers Payout.                             |
|                   | percent\_payout      | string  | Percent payout.                                        |
|                   | sort                 | integer | Volume Based Tiers Sort.                               |
|                   | range                | string  | Volume Based Tiers Range.                              |

### Example request <a href="#example-request-2" id="example-request-2"></a>

**Request GET** [https://{networkname}.api.offerslook.com/v1/affiliate\_payouts/{affiliate\_payout\_id}/affiliate\_tiers](https://{networkname}.api.offerslook.com/v1/affiliate_payouts/%7Baffiliate_payout_id%7D/affiliate_tiers)

**Request GET** [http://{networkname}.api.offerslook.com/v1/affiliate\_payouts/{affiliate\_payout\_id}/affiliate\_tiers](http://{networkname}.api.offerslook.com/v1/affiliate_payouts/%7Baffiliate_payout_id%7D/affiliate_tiers)

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate_tier": {
          "offer_id": 7,
          "affiliate_id": 7,
          "event_id": 1,
          "user_id": 1,
          "time_interval_type": 0,
          "effective_time": 1472832000,
          "expiration_time": 1475510399,
          "create_time": 1467602151,
          "tier_item": [
            {
              "volume_caps": 100,
              "payout": "34",
              "percent_payout": "10",
              "sort": 1,
              "range": "1-100"
            },
            {
              "volume_caps": 150,
              "payout": "43",
              "percent_payout": "10",
              "sort": 2,
              "range": "101-∞"
            }
          ]
        }
      }
    }
```
